using System;
using System.Collections.Generic;

namespace bdAntifraude.db;

public partial class NIVEL
{
    public int IDNIVEL { get; set; }

    public string? NIVEL1 { get; set; }

    public string? DESCRIPCION { get; set; }

    public bool ACTIVO { get; set; }

    public int? IMPORTE_N { get; set; }

    public bool ALTO_CARGO { get; set; }

    public virtual ICollection<COMPLEMENTONIVEL> COMPLEMENTONIVEL { get; set; } = new List<COMPLEMENTONIVEL>();

    public virtual ICollection<CONSOLIDACION_GRADO> CONSOLIDACION_GRADO { get; set; } = new List<CONSOLIDACION_GRADO>();

    public virtual ICollection<PERSONAS> PERSONASIDGRADOPERSONALCONSOLIDADONavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDNIVELRPTNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<RPT_DESCRIP> RPT_DESCRIP { get; set; } = new List<RPT_DESCRIP>();

    public virtual ICollection<VIDA_ADMINISTRATIVA> VIDA_ADMINISTRATIVANIVELCNavigation { get; set; } = new List<VIDA_ADMINISTRATIVA>();

    public virtual ICollection<VIDA_ADMINISTRATIVA> VIDA_ADMINISTRATIVANIVEL_OLDNavigation { get; set; } = new List<VIDA_ADMINISTRATIVA>();
}
